RatioSDRMS <- function(ens, obs, pval = TRUE) {
  
  #
  #  Ratio RMSE / SD and its significance level
  # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  #
  ensmean <- rowMeans(ens)
  
  std <- sd(ensmean)
  enosd <- Eno(ensmean,1)
 
  dif <- ensmean - obs
  rms <- mean(dif ** 2, 1, narm = TRUE) ** 0.5
      
  enorms <- Eno(dif,1)
  enlratiormssd <- std /rms
  if (pval) {
        
                l1 <- enosd
                l2 <- enorms 
  
                      
                F <- (enosd * std ** 2 / (enosd - 1)) / (enorms * (rms) ** 2 / (enorms - 1))
                if (!is.na(F) && !is.na(l1) && !is.na(l2) && l1 > 2 && l2 > 2) {
                  p.val <- 1 - pf(F, l1 - 1, l2 - 1)
                 
                } 
  }
  
 
  #  
  #  Output
  # ~~~~~~~~
  #
  
  list(ratio = enlratiormssd, p.val = p.val)  
  
}
